# fourth-wall-embed-wp

A WordPress Plugin to embed a Fourthwall store or individual products with advanced caching and configuration options.

### How to use the plugin

* Download the latest release from [releases](https://repo.anhonesthost.net/CyberCoveLLC/fourth-wall-embed-wp/releases)
* Upload the Plugin to WordPress
* In the WordPress Dashboard, Navigate to the Fourthwall settings page, and paste your store URL.

#### Configuration Options

**Store URL**: Enter your Fourthwall store URL (e.g., `https://your-store.fourthwall.com`)

**SSL Verification**: 
- **Enabled (Recommended)**: Use for production sites to ensure secure connections
- **Disabled**: Use only for local development when SSL certificates are not properly configured

**Cache Management**: 
- Content is automatically cached for 1 hour to improve performance
- Use the "Clear Cache" button if products are not updating

#### Display your entire store
To display your entire Fourthwall store on a page, use the shortcode:
```[fourthwall]```

#### Display a single product
To display an individual product from your Fourthwall store, use the shortcode with the product URL:
```[fourthwall_single url="https://your-store.fourthwall.com/products/product-name"]```

You can also display the product description by setting the `show_description` attribute to "true":
```[fourthwall_single url="https://your-store.fourthwall.com/products/product-name" show_description="true"]```

### Features

- **Smart Caching**: Automatic caching system reduces server load and improves performance
- **Configurable SSL**: Toggle SSL verification for development vs production environments
- **Error Handling**: Graceful fallbacks and clear error messages
- **Admin Interface**: User-friendly settings page with clear instructions
- **Cache Management**: Manual cache clearing for troubleshooting
- **Responsive Design**: CSS styling for both frontend and admin areas

### Requirements
* WordPress 6.0 or higher
* PHP 7.4 or higher
* Active Fourthwall store
* cURL extension enabled

### Performance Notes

- Content is cached for 1 hour to reduce API calls to Fourthwall
- Cache automatically refreshes when content changes
- Manual cache clearing available in admin settings
- SSL verification can be disabled for local development

### Troubleshooting

**Products not updating?**
- Clear the cache using the "Clear Cache" button in admin settings
- Check your store URL is correct
- Verify SSL verification setting matches your environment

**SSL errors in development?**
- Disable SSL verification in admin settings (development only)
- Ensure proper SSL certificates in production

**403 Forbidden errors?**
- Fourthwall may be blocking automated requests
- Check if your store is publicly accessible
- Contact Fourthwall support if issues persist

This plugin allows you to integrate your Fourthwall store directly into your WordPress site, either showing your complete product collection or featuring specific products individually.

If you can think of things that could be improved or find any bugs, please open an issue on the repository.